
Robotics Systems Types - Bug #626
Undefined Symbol in Linking Step
10/14/2011 01:23 AM - S. Wrede

Status: Resolved Start date: 10/14/2011
Priority: Urgent Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:
Description

  "rst::geometry::Point2DFloat::Point2DFloat()", referenced from:
      rst::geometry::PointPair::mutable_first()    in PointPair.pb.cc.o
      rst::geometry::PointPair::mutable_second()    in PointPair.pb.cc.o
  "rst::JointData::MergePartialFromCodedStream(google::protobuf::io::CodedInputStream*)", referenced from:
      bool
google::protobuf::internal::WireFormatLite::ReadMessageNoVirtual<rst::JointData>(google::protobuf::io::CodedInputStream*,
rst::JointData*) in JointPositionData.pb.cc.o
  "rst::geometry::Point2DFloat::SerializeWithCachedSizesToArray(unsigned char*) const", referenced from:
      unsigned char*
google::protobuf::internal::WireFormatLite::WriteMessageNoVirtualToArray<rst::geometry::Point2DFloat>(int,
rst::geometry::Point2DFloat const&, unsigned char*) in PointPair.pb.cc.o
  "rst::geometry::Point2DFloat::ByteSize() const", referenced from:
      int
google::protobuf::internal::WireFormatLite::MessageSizeNoVirtual<rst::geometry::Point2DFloat>(rst::geometry::Point2DFloat
const&) in PointPair.pb.cc.o
  "rst::geometry::protobuf_AddDesc_rst_2fgeometry_2fPoint2DFloat_2eproto()", referenced from:
      rst::geometry::protobuf_AddDesc_rst_2fgeometry_2fPointPair_2eproto()     in PointPair.pb.cc.o
  "rst::JointData::ByteSize() const", referenced from:
      int google::protobuf::internal::WireFormatLite::MessageSizeNoVirtual<rst::JointData>(rst::JointData const&) in
JointPositionData.pb.cc.o
  "rst::geometry::Point2DFloat::MergePartialFromCodedStream(google::protobuf::io::CodedInputStream*)", referenced from:
      bool
google::protobuf::internal::WireFormatLite::ReadMessageNoVirtual<rst::geometry::Point2DFloat>(google::protobuf::io::CodedInputStream*, rst::geometry::Point2DFloat*) in PointPair.pb.cc.o
  "rst::geometry::Point2DFloat::MergeFrom(rst::geometry::Point2DFloat const&)", referenced from:
      rst::geometry::PointPair::MergeFrom(rst::geometry::PointPair const&) in PointPair.pb.cc.o
      rst::geometry::PointPair::MergeFrom(rst::geometry::PointPair const&) in PointPair.pb.cc.o
  "rst::protobuf_AddDesc_rst_2fkinematics_2fJointData_2eproto()", referenced from:
      rst::protobuf_AddDesc_rst_2fkinematics_2fJointPositionData_2eproto()      in JointPositionData.pb.cc.o
  "rst::JointData::SerializeWithCachedSizesToArray(unsigned char*) const", referenced from:
      unsigned char* google::protobuf::internal::WireFormatLite::WriteMessageNoVirtualToArray<rst::JointData>(int, rst::JointData const&, unsigned char*) in JointPositionData.pb.cc.o
  "rst::JointData::JointData()", referenced from:
      google::protobuf::internal::GenericTypeHandler<rst::JointData>::New()     in JointPositionData.pb.cc.o
  "rst::geometry::Point2DFloat::default_instance()", referenced from:
      rst::geometry::PointPair::InitAsDefaultInstance()    in PointPair.pb.cc.o
      rst::geometry::PointPair::InitAsDefaultInstance()    in PointPair.pb.cc.o
  "rst::geometry::Point2DFloat::Clear()", referenced from:
      rst::geometry::PointPair::Clear()   in PointPair.pb.cc.o
      rst::geometry::PointPair::Clear()   in PointPair.pb.cc.o
  "rst::JointData::MergeFrom(rst::JointData const&)", referenced from:
      google::protobuf::internal::GenericTypeHandler<rst::JointData>::Merge(rst::JointData 
putStream*, rst::geometry::Point2DFloat*) in PointPair.pb.cc.o
  "rst::geometry::Point2DFloat::MergeFrom(rst::geometry::Point2DFloat const&)", referenced from:
      rst::geometry::PointPair::MergeFrom(rst::geometry::PointPair const&) in PointPair.pb.cc.o
      rst::geometry::PointPair::MergeFrom(rst::geometry::PointPair const&) in PointPair.pb.cc.o
  "rst::protobuf_AddDesc_rst_2fkinematics_2fJointData_2eproto()", referenced from:
      rst::protobuf_AddDesc_rst_2fkinematics_2fJointPositionData_2eproto()      in JointPositionData.pb.cc.o
  "rst::JointData::SerializeWithCachedSizesToArray(unsigned char*) const", referenced from:
      unsigned char* google::protobuf::internal::WireFormatLite::WriteMessageNoVirtualToArray<rst::JointData>(int,
rst::JointData const&, unsigned char*) in JointPositionData.pb.cc.o
  "rst::JointData::JointData()", referenced from:
      google::protobuf::internal::GenericTypeHandler<rst::JointData>::New()     in JointPositionData.pb.cc.o
  "rst::geometry::Point2DFloat::default_instance()", referenced from:
      rst::geometry::PointPair::InitAsDefaultInstance()    in PointPair.pb.cc.o
      rst::geometry::PointPair::InitAsDefaultInstance()    in PointPair.pb.cc.o
  "rst::geometry::Point2DFloat::Clear()", referenced from:
      rst::geometry::PointPair::Clear()   in PointPair.pb.cc.o
      rst::geometry::PointPair::Clear()   in PointPair.pb.cc.o
  "rst::JointData::MergeFrom(rst::JointData const&)", referenced from:
      google::protobuf::internal::GenericTypeHandler<rst::JointData>::Merge(rst::JointData const&, rst::JointData*) in
JointPositionData.pb.cc.o
ld: symbol(s) not found
collect2: ld returned 1 exit status
make[2]: *** [cpp/sandbox/librstsandbox.dylib] Error 1
make[1]: *** [cpp/sandbox/CMakeFiles/rstsandbox.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....

History
#1 - 10/14/2011 07:58 AM - J. Wienke

Where does this happen? I cannot reproduce this? On corci it also builds on every platform. Only the package is still missing.

#2 - 10/14/2011 09:31 AM - S. Wrede

Platform is MacOS. mp-gcc44, all 32 bits.

#3 - 10/14/2011 10:28 AM - S. Wrede

To me this looks as if the objects from the stable library are not available to the linking step for the sandbox target.

#4 - 10/14/2011 10:57 AM - J. Wienke

But strangely it works on linux... I will port the RST job on jenkins to mac, too.

#5 - 10/14/2011 05:12 PM - J. Wienke
- Status changed from New to Resolved

#6 - 01/31/2012 12:17 PM - S. Wrede
- Target version deleted (0.5)
